import json
from pathlib import Path


def process_path(file: Path):
    try:
        data = json.load(open(file, 'r'))
        data['transcription'] = [it['text'] for it in data['transcription']]
        json.dump(data, open(file, 'w'))
    except Exception as e:
        print(e)


def main():
    root_path = Path('/home/marcinwatroba/PWR_ASR/asr-benchmarks'
                     '/experiment_data/cached_asr/pl_voicelab_cbiz/whisper_tiny__result')
    paths = sorted(list(root_path.iterdir()))
    for it in paths:
        process_path(it)


if __name__ == '__main__':
    main()
